List agent provider exchanges
curl --request GET \
--url https://api.akua.dev/v1/agent_provider_exchanges \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/agent_provider_exchanges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/agent_provider_exchanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"workspace_id": "<string>",
"organization_id": "<string>",
"agent_id": "<string>",
"session_id": "<string>",
"turn_id": "<string>",
"provider": "<string>",
"model": "<string>",
"fallback_from_model": "<string>",
"fallback_reason": "<string>",
"credential_secret_id": "<string>",
"requested_at": 1,
"responded_at": 1,
"provider_cost_cents": 1,
"provider_token_count": 1,
"token_counts": {
"input": 1,
"output": 1,
"total": 1
},
"message_summary": "<string>",
"upstream_error_code": "<string>",
"created_at": 1
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Agent provider exchanges
List agent provider exchanges
Lists redacted provider proxy request and response metadata for one agent turn.
GET
/
agent_provider_exchanges
List agent provider exchanges
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.
Required string length:
1 - 53Example:
"ws_j572abc123def456"
Query Parameters
Required string length:
1 - 54Required range:
1 <= x <= 100⌘I